package org.jeecg.modules.appInterface.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.appInterface.entity.FbsWorkingStatistics;
import org.jeecg.modules.fbsWorkshopDispatchList.entity.FbsWorkshopDispatchList;

/**
 * @Description: 工时统计接口
 * @author： jeecg-boot
 * @date：   2020-10-15
 * @version： V1.0
 */
public interface FbsWorkingStatisticsMapper extends BaseMapper<FbsWorkingStatistics> {
    /**
    * @Author chenchuang
    * @Description //TODO 制造看板： 月工时分布情况
    * @Date 2020/10/28 13:08
    * @Param []
    * @return java.util.List<org.jeecg.modules.appInterface.entity.FbsWorkingStatistics>
    */
//   List<FbsWorkingStatistics> getByMaterial(@Param("dateString")String dateString);
    Map<String,Object> getByMaterial(@Param("dateString")String dateString);

    /**
    * @Author chenchuang
    * @Description //TODO 根据订单号和产品编码分组查询工时
    * @Date 2020/11/7 12:51
    * @Param []
    * @return java.util.List<org.jeecg.modules.appInterface.entity.FbsWorkingStatistics>
    */
    List<FbsWorkingStatistics> getWorkingHours();

    /**
    * @Author chenchuang
    * @Description //TODO 根据项目名称分组查询派工单
    * @Date 2020/11/11 11:35
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsWorkshopDispatchList.entity.FbsWorkshopDispatchList>
    */
    List<FbsWorkshopDispatchList> getWorkingHoursGroupProjectName();
}
