package org.jeecg.modules.fbsAbnormalWorkingHours.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.fbsAbnormalWorkingHours.entity.FbsAbnormalWorkingHours;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 生产异常信息统计单
 * @author： jeecg-boot
 * @date：   2020-10-13
 * @version： V1.0
 */
public interface FbsAbnormalWorkingHoursMapper extends BaseMapper<FbsAbnormalWorkingHours> {
    /**
    * @Author chenchuang
    * @Description //TODO 月制成质量异常
    * @Date 2020/10/21 15:21
    * @Param []
    * @return java.util.Map<java.lang.String,java.lang.Object>
    */
   List<FbsAbnormalWorkingHours> getQualityType();

   /**
   * @Author chenchuang
   * @Description //TODO 查询当月中的产品的异常数量
   * @Date 2020/10/21 17:42
   * @Param []
   * @return java.util.List<org.jeecg.modules.fbsAbnormalWorkingHours.entity.FbsAbnormalWorkingHours>
   */
   List<FbsAbnormalWorkingHours> getRejectsNumber(@Param("dateString")String dateString);


   /**
   * @Author chenchuang
   * @Description //TODO 查询当日中的产品的异常数量
   * @Date 2020/10/27 11:03
   * @Param []
   * @return java.util.List<org.jeecg.modules.fbsAbnormalWorkingHours.entity.FbsAbnormalWorkingHours>
   */
    List<FbsAbnormalWorkingHours> getRejectsNumberSameDay();

    /**
    * @Author chenchuang
    * @Description //TODO 根据月份分组查询总共的应到人数和实到人数
    * @Date 2020/11/11 13:16
    * @Param []
    * @return java.util.List<org.jeecg.modules.fbsAbnormalWorkingHours.entity.FbsAbnormalWorkingHours>
    */
    List<FbsAbnormalWorkingHours> getMonthAttendance();

    /**
    * @Author chenchuang
    * @Description //TODO 报表工时的总工时统计
    * @Date 2021/1/26 15:51
    * @Param [yearMonth]
    * @return org.jeecg.modules.fbsAbnormalWorkingHours.entity.FbsAbnormalWorkingHours
    */
    FbsAbnormalWorkingHours getTotal(@Param("yearMonth")String yearMonth);
}
